SYSTEMD-SOCKET-ACTIVATE(1)

BEZEICHNUNG
systemd-socket-activate - Test-Socket-Aktivierung von Daemons

ÜBERSICHT

systemd-socket-activate [OPTIONEN…] Daemon [OPTIONEN…]

BESCHREIBUNG

systemd-socket-activate kann zum Starten eines Socket-aktivierten Dienstprogramms von der Befehlszeile für Testzwecke verwandt werden. Es kann auch zum Starten individueller Instanzen des Dienstprogrammes pro Verbindung benutzt werden.

Der zu startende Daemon und seine Optionen sollten nach den für systemd-socket-activate bestimmten Optionen angegeben werden.

Falls die Option --inetd angegeben ist, wird der Socket-Dateideskriptor als Standardeingabe und -ausgabe des gestarteten Prozesses verwandt. Andernfalls werden Standardein- und -ausgabe vererbt und Sockets werden durch Dateidekriptor 3 und höher übergeben. Durch $LISTEN_FDS an systemd-socket-activate übergebene Sockets werden durch den Daemon in der ursprünglichen Position weitergegeben. Andere mit --listen= angegebene Sockets werden fortlaufende Deskriptoren verwenden. Standardmäßig wartet systemd-socket-activate an einem Datenstrom-Socket, verwenden Sie --datagram und --seqpacket, um stattdessen an einem Datagram- oder sequenziellen Socket auf Anfragen zu warten (siehe unten).

OPTIONEN

-l Adresse, --listen=Adresse
    Wartet auf dieser Adresse auf Anfragen. Akzeptiert eine Zeichenkette der Form »2000« oder »127.0.0.1:2001«.

-a, --accept
    Startet für jede Verbindung eine Instanz des Serviceprogramms und gibt das Verbindungs-Socket weiter.

-d, --datagram
    Wartet an einem Datagram-Socket (SOCK_DGRAM) anstatt an einem Datenstrom-Socket (SOCK_STREAM) auf Anfragen. Darf nicht mit --seqpacket kombiniert werden.

--seqpacket
    Wartet an einem sequenziellen Paket-Socket (SOCK_SEQPACKET) anstatt an einem Datenstrom-Socket (SOCK_STREAM) auf Anfragen. Darf nicht mit --datagram kombiniert werden.

--inetd
    Verwendet das Inetd-Protokoll zur Weitergabe von Dateideskriptoren, d.h. als Standardein- und ausgabe, statt des neuartigen Protokolls zur Weitergabe von Dateideskriptoren mittels $LISTEN_FDS (siehe oben).

-E VAR[=WERT], --setenv=VAR[=WERT]
    Fügt diese Variable zur Umgebung des gestarteten Prozesses hinzu. Falls VAR von »=« gefolgt wird, wird angenommen, dass es ein Variable-Wert-Paar ist. Andernfalls wird der Wert der Umgebung von systemd-socket-activate selbst ermittelt.

--fdname=NAME[:NAME…]
    Gibt Namen für die übergebenen Dateideskriptoren an. Dies ist äquivalent zum Setzen von FileDescriptorName= in Socket-Unit-Dateien und aktiviert die Verwendung von sd_listen_fds_with_names(3). Mittels separater Optionen oder durch Trennung der Namen mittels Doppelpunkten (»:«) können mehrere Einträge in einer Option angegeben werden. Falls mehr Namen als Deskriptoren angegeben sind, werden die überflüssigen ignoriert. Falls weniger Namen als Deskriptoren angegeben sind, tragen die verbleibenden Deskriptoren keine Namen.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

UMGEBUNGSVARIABLEN

$LISTEN_FDS, $LISTEN_PID, $LISTEN_FDNAMES
    Siehe sd_listen_fds(3).

$SYSTEMD_LOG_TARGET, $SYSTEMD_LOG_LEVEL, $SYSTEMD_LOG_TIME, $SYSTEMD_LOG_COLOR, $SYSTEMD_LOG_LOCATION
    Identisch wie in systemd(1).

BEISPIELE

Beispiel 1. Einen Echo-Server auf Port 2000 betreiben

    $ systemd-socket-activate -l 2000 --inetd -a cat

Beispiel 2. Eine Socket-aktivierte Instanz von Systemd-journal-gatewayd(8) betreiben

    $ systemd-socket-activate -l 19531 /usr/lib/systemd/systemd-journal-gatewayd

SIEHE AUCH

systemd(1), systemd.socket(5), systemd.service(5), systemd-run(1), sd_listen_fds(3), sd_listen_fds_with_names(3), cat(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).